Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 44222 - new submission, midgard-1.5.0
Summary: new submission, midgard-1.5.0
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: web-apps Herd
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2004-03-10 00:55 UTC by Mario Hernandez Burgos
Modified: 2005-12-09 17:47 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
midgard-1.5.0 (midgard-1.5.0.ebuild,1.70 KB, text/plain)
2004-03-10 00:58 UTC, Mario Hernandez Burgos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Hernandez Burgos 2004-03-10 00:55:57 UTC
Howdy-do!

I have attached midgard-1.5.0.ebuild and recommend the net-www/midgard directory.

Midgard is a Content Management Framework for creating Content Management Systems (CMS) and applications using the LAMP components. This is my first ebuild and it needs plenty of nurturing and work, :-P

MarioB
Comment 1 Mario Hernandez Burgos 2004-03-10 00:58:59 UTC
Created attachment 27141 [details]
midgard-1.5.0
Comment 2 Stuart Herbert (RETIRED) gentoo-dev 2004-04-23 05:52:50 UTC
Hi,

Sorry for the delay in replying.  We've been very busy putting a new
framework in place for ebuilds for web-based applications.  This has
now been added to Portage.

We need you to update your ebuild to use the new framework before we
can accept your ebuild.

Please emerge net-www/webapp-config (make sure you get version 1.2 or
later), and update your ebuild to work with this new tool.  You can
use 'man 5 webapp.eclass', 'man 5 webapp-config' and 'man 8 webapp-config'
to learn more about how your ebuild needs to work.

You can find an example ebuild, for phpmyadmin, in

	/usr/share/doc/webapp-config-1.2/
	
If you encounter any difficulties with the new framework (and we
apologise, but there are sure to be a few at first), please let us know
and we'll do our best to help you.

Best regards,
Stu
Comment 3 Stuart Herbert (RETIRED) gentoo-dev 2004-04-23 10:45:45 UTC
Doh - forgot to change the status of this bug.
Comment 4 Guttorm Flatabø 2004-07-14 06:38:21 UTC
Mario: It would be nice to know if you are working on this, I could do some testing if you'd like.

--Guttorm
Comment 5 Gunnar Wrobel (RETIRED) gentoo-dev 2004-07-16 00:58:02 UTC
This ebuild is 100% defunct.
Comment 6 Renat Lumpau (RETIRED) gentoo-dev 2004-09-04 14:53:31 UTC
Midgard looks like a very interesting framework, but quite tricky to install. I'll see if I can figure it out...
Comment 7 Renat Lumpau (RETIRED) gentoo-dev 2004-09-22 04:31:05 UTC
In CVS
Comment 8 Renat Lumpau (RETIRED) gentoo-dev 2004-09-22 05:28:11 UTC
Not
Comment 9 Elfyn McBratney (beu) (RETIRED) gentoo-dev 2004-10-15 20:42:17 UTC
I'd love to help out with this if needed.  I've had Midgard ebuilds in my overlay for a few months (I know, I should have searched here first ;-) so I can help with that and/or testing.  I've been using Midgard since on and off 2001, and more heavily since the start of the year, so I can help field support/bugs as well. :-)

Things have improved a lot in the 1.6 series, so maybe it would be a good idea to get 1.6rcx ebuilds into the tree?  (1.5 + crappy install + webapp infra can get quite messy)  I'll work on that tomorrorow (need a large dosage os sleep now ;-)
Comment 10 Renat Lumpau (RETIRED) gentoo-dev 2004-10-15 21:05:47 UTC
I'm curious to see what you have. I actuallly committed my Midgard ebuilds a little while ago, and they lasted all of 30 mins until Mr_Bones_ saw the MySQL running dep and got unhappy. So I'd like to see what you have come up with.
Comment 11 unz.snu 2005-11-03 10:49:31 UTC
anyone using it anymore?
Comment 12 Renat Lumpau (RETIRED) gentoo-dev 2005-12-09 17:47:47 UTC
Not happening.